Quassel IRC - Bug #1020

Wrong nickname when connecting to bouncer
09/08/2010 12:15 PM - X-2

Status: Resolved Start date: 09/08/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.7.2 0OS: Any
Description

My situation is like this:

I have a bouncer. Whenever | disconnect from it, my nickname automatically gets changed to 'XaerO|gOne'.
If I connect back to the bouncer, my nickname gets changed back to my main nickname 'XaerQ'.

Quassel shows my correct nickname in the nicklist, however it doesn't for messages.
example

[11:50:41] <***> Playback Complete.

[11:50:45] <Xaer0|gOne> hi

I've also added a screenshot.

Related issues:
Related to Quassel IRC - Bug #964: Nick Select Doesn't Update on Forced Nick ... New 05/15/2010
Has duplicate Quassel IRC - Bug #1209: Quassel displaying wrong nicknames whe... Closed 03/28/2013

Associated revisions

Revision 77611288 - 07/10/2014 04:09 PM - MBasaglia
Use correct nick on 001 RPL_WELCOME

Fixes #1020

When the user connects to a bouncer, the bouncer will send back the
welcome message received when it first connected to the network.
This caused Quassel to display a wrong nick if it had changed

since the first connection.

Revision 3b8318c1 - 09/14/2014 09:59 PM - MBasaglia
Use correct nick on 001 RPL_WELCOME

Fixes #1020

When the user connects to a bouncer, the bouncer will send back the
welcome message received when it first connected to the network.
This caused Quassel to display a wrong nick if it had changed

since the first connection.

History

#1 - 06/18/2011 06:48 PM - TorrentialStorm

Same issue here. It's coming from when the bouncer reconnects and has to use an alternate nick. The bouncer sends the original RPL_WELCOME it
got when connecting (which would be the alt nick).

:moo.us.p2p-network.net 001 TorrentialStorm :Welcome to the P2P-NET IRC Network TorrentialStorm_!~TStorm@kpaste.net

#2 - 06/18/2011 06:49 PM - TorrentialStorm
- File bnc.patch added

I've managed to fix this in 0.7.2. See attached patch.

#3 - 06/20/2011 05:34 PM - johu
- Version changed from 0.6.2 to 0.7.2
- OS changed from Linux to Any

There is a handler for 001, maybe the following lines are redundant:

if (cmd == "001") {
network () ->setMyNick (_target) ;
}

Please verify your patch.

#4 - 06/20/2011 08:50 PM - TorrentialStorm

The handler uses the nick from the welcome message, not the target.

:moo.us.p2p-network.net 001 TorrentialStorm :Welcome to the P2P-NET IRC Network TorrentialStorm_!~TStorm@kpaste.net
target would be the current nick. one in the welcome message is the alt nick.

#5 - 08/04/2011 12:21 PM - xeross
| think this might be caused by the same bug as #964

#6 - 08/05/2011 11:30 PM - TorrentialStorm

It's not a forced nick change issue. It's due to the bouncer sending the original RPL_WELCOME (which has the alternate nick). My patch fixes both
issues, it takes the nick from the target for RPL_WELCOME and | updated it to accept forced nick changes.

#7 - 08/06/2011 04:32 PM - xeross

I'm compiling a patched version now, will report back if the issue still appears or not.

#8 - 08/07/2011 02:34 AM - xeross

This does indeed seem to work, thanks :)

#9 - 08/07/2011 01:36 PM - xeross

Only thing that doesn't always seem to update is the nick selector, I'll try and see if | can patch that up.
#10 - 11/05/2011 02:50 AM - rbrent

| just tested TorrentialStorm's patch against 0.7.3 -- it works great! Thanks. :)

It can't hurt to make this part of the normal builds, can it?

#11 - 03/28/2013 12:49 PM - dennis97519

Umm...How do | use the patch?

#12 - 03/28/2013 01:11 PM - Anonymous

Grab quassel's source, apply the patch using either “git patch bnc.patch™ or “patch -Np1 <bnc.patch™ whilst in the quassel directory. Then compile as
usual.

#13 - 07/10/2014 04:12 PM - MBasaglia
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:77611288238aef3777466f5d647dd2780f5f72d1.

Files
quassel-1.png 125 KB 09/08/2010 X-2
bnc.patch 700 Bytes 06/18/2011 TorrentialStorm
